Bug 106425 - driverdisk option does not work in kickstart
driverdisk option does not work in kickstart
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 20:17 EDT by Nate Faerber
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 12:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix driverdisk with type option (1.30 KB, patch)
2003-10-29 14:28 EST, Nate Faerber
no flags Details | Diff

  None (edit)
Description Nate Faerber 2003-10-06 20:17:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When loading a system using kickstart, the option "driverdisk" does not work
properly.  The anaconda log reports "unable to mount sda5 as ext2".  The
driverdisk option is:

driverdisk sda5 --type ext2

Oddly, the partition (/dev/dddev) is mounted on /tmp/drivers but the updated
driver is not properly loaded.  In this case, the driver is aic79xx.

Version-Release number of selected component (if applicable):
anaconda-9.0-4

How reproducible:
Always

Steps to Reproduce:
1. create kickstart with driverdisk option
2. load installer with kickstart
3. notice driver does not get updated and "unable to mount" message is reported
Comment 1 Nate Faerber 2003-10-29 14:27:31 EST
The problem appears to be in loader2/driverdisk.c for any driverdisk declaration
that uses the --type option.  I will attach a patch that fixes this, but I have
not tested it.

Comment 2 Nate Faerber 2003-10-29 14:28:07 EST
Created attachment 95587 [details]
Patch to fix driverdisk with type option
Comment 3 Jeremy Katz 2003-11-02 22:08:26 EST
Looks reasonable to me.  committed to CVS
Comment 4 Jay Turner 2004-01-16 12:16:39 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-344.html

Note You need to log in before you can comment on or make changes to this bug.